Bug 125606 - evolution-1.5.9.1-2 with maildirs crashes on startup
evolution-1.5.9.1-2 with maildirs crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 06:36 EDT by Nicolas Mailhot
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 16:52:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2004-06-09 06:36:44 EDT
Description of problem:

After today's yum update (a few fedora devel rpms and the new
evolution 1.5 rpm set) evolution started crashing on startup

evolution-1.5.9.1-1 was fine (can I get it somewhere ? I'd really like
to access my mail;)

Version-Release number of selected component (if applicable):
evolution-1.5.9.1-2

How reproducible:

Always

Steps to Reproduce:
1. type evolution
2. crash
Comment 1 Nicolas Mailhot 2004-06-10 04:15:30 EDT
After removing .evolution, .gconf/apps/evolution/ I can reproduce it
as soon as I add a maildir source to the account list
Comment 2 Dave Malcolm 2004-06-10 14:25:44 EDT
I couldn't reproduce this here.  Please can you ensure that the
evolution-debug-info package is installed and produce a stack trace of
the crash.  Thanks!
BTW - I don't think 1.5.9.1-1 ever got released onto the repository;
did  you mean 1.5.8?
Comment 3 Nicolas Mailhot 2004-06-10 14:44:40 EDT
I think I saw 1.5.9.1-1 but I may be wrong
Change this to 1.5.8 then
Comment 4 Nicolas Mailhot 2004-06-10 14:58:55 EDT
I'm afraid I have no problems reproducing it on another box
(Took a maildir I happend to have lying there - the dovecot backend
and told evo to read it)

strace evolution ends with :

ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893719, 821306}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893719, 821703}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893719, 822029}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
shmget(IPC_PRIVATE, 393216, IPC_CREAT|0600) = 1409038
shmat(1409038, 0, 0)                    = 0xf6add000
write(3,
"5\30\4\0\212\1\200\2\372\0\200\2\0\2\0\2F\1\5\0\212\1\200"..., 216) = 216
read(3, 0xfee52ef0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\22\326\356\17\177\1\200\2\177\1\200\2\0\275\202\n\177"...,
32) = 32
read(3, "\f`\356\17\10\1\200\2\0\0\0\0\324\4\32\0\0\0\'\n\1\0\0"...,
32) = 32
read(3, "\21\226\357\17\177\1\200\2\177\1\200\2\0\0\0\0\24\0\0\0"...,
32) = 32
read(3, "\1\2\v\20\0\0\0\0\206\0\200\2\0\0\0\0\0\0\0\0\34\0\0\0"...,
32) = 32
shmctl(1409038, IPC_64|IPC_RMID, 0)     = 0
gettimeofday({1086893720, 168494}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
write(3, "\223\3\n\0\213\1\200\2=\0\200\2\0\6@\0\0\0\0\0\20\0\20"...,
1352) = 13 52
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0\v\20\261.U\0H\0\0\0\336\0\200\2\0\0\0\0\312\1\335"...,
32) = 32
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893720, 171866}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893720, 172320}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
279013) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2612U\0H\0\0\0\336\0\200\2\0\0\0\0\313\1\335\1"...,
32) = 32
gettimeofday({1086893720, 930644}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893720, 933331}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
278253) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2712U\0H\0\0\0\336\0\200\2\0\0\0\0\274\1\316\1"...,
32) = 32
gettimeofday({1086893720, 949993}, NULL) = 0
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\3012U\0H\0\0\0\336\0\200\2\0\0\0\0\255\1\265\1"...,
32) = 32
gettimeofday({1086893720, 962487}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\3112U\0H\0\0\0\336\0\200\2\0\0\0\0\224\1\241\1"...,
32) = 32
gettimeofday({1086893720, 965629}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893720, 968263}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
278218) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\3312U\0H\0\0\0\336\0\200\2\0\0\0\0b\1~\0014\0"...,
32) = 32
gettimeofday({1086893720, 978215}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893720, 980979}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
278205) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\3452U\0H\0\0\0\336\0\200\2\0\0\0\0I\1o\1\33\0"...,
32) = 32
gettimeofday({1086893720, 991448}, NULL) = 0
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\3512U\0H\0\0\0\336\0\200\2\0\0\0\0000\1[\1\2\0"...,
32) = 32
gettimeofday({1086893720, 994284}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [128])               = 0
read(3, "\10\3F\20\3622U\0H\0\0\0\336\0\200\2\0\0\0\0!\1V\1\363"...,
128) = 128
gettimeofday({1086893721, 6991}, NULL)  = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 19256}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 22152}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 22528}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [96])                = 0
read(3, "\10\3F\20\3712U\0H\0\0\0\303\0\200\2\0\0\0\0\10\1B\1\360"...,
96) = 96
gettimeofday({1086893721, 35434}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 35843}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 46414}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\t3U\0H\0\0\0\274\0\200\2\0\0\0\0\326\0\37\1\325"...,
32) = 32
gettimeofday({1086893721, 50231}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\0213U\0H\0\0\0\274\0\200\2\0\0\0\0\314\0\25\1"...,
32) = 32
gettimeofday({1086893721, 60559}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3,
"\6\0F\20\0333U\0H\0\0\0\274\0\200\2\0\0\0\0\275\0\v\1\274"..., 32) = 32
gettimeofday({1086893721, 63449}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20!3U\0H\0\0\0\274\0\200\2\0\0\0\0\256\0\1\1\255"...,
32) = 32
gettimeofday({1086893721, 76491}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20*3U\0H\0\0\0\274\0\200\2\0\0\0\0\237\0\374\0\236"...,
32) = 32
gettimeofday({1086893721, 77074}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3,
"\6\0F\02013U\0H\0\0\0\274\0\200\2\0\0\0\0\225\0\355\0\224"..., 32) = 32
gettimeofday({1086893721, 87529}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3,
"\6\0F\02093U\0H\0\0\0\274\0\200\2\0\0\0\0\206\0\343\0\205"..., 32) = 32
gettimeofday({1086893721, 91235}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20E3U\0H\0\0\0\274\0\200\2\0\0\0\0\205\0\343\0\204"...,
32) = 32
gettimeofday({1086893721, 101524}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20I3U\0H\0\0\0\274\0\200\2\0\0\0\0v\0\331\0u\000"...,
32) = 32
gettimeofday({1086893721, 103163}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20S3U\0H\0\0\0\274\0\200\2\0\0\0\0g\0\317\0f\0-\0"...,
32) = 32
gettimeofday({1086893721, 103571}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20Y3U\0H\0\0\0\274\0\200\2\0\0\0\0g\0\316\0f\0,\0"...,
32) = 32
gettimeofday({1086893721, 114218}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20a3U\0H\0\0\0\274\0\200\2\0\0\0\0X\0\311\0W\0\'"...,
32) = 32
gettimeofday({1086893721, 115107}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20k3U\0H\0\0\0\274\0\200\2\0\0\0\0?\0\272\0>\0\30"...,
32) = 32
gettimeofday({1086893721, 125053}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20q3U\0H\0\0\0\274\0\200\2\0\0\0\0000\0\260\0/\0"...,
32) = 32
gettimeofday({1086893721, 135136}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20y3U\0H\0\0\0\274\0\200\2\0\0\0\0!\0\253\0 \0\t"...,
32) = 32
gettimeofday({1086893721, 146762}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2013U\0H\0\0\0\274\0\200\2\0\0\0\0\34\0\246\0"...,
32) = 32
gettimeofday({1086893721, 428741}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2113U\0H\0\0\0\274\0\200\2\0\0\0\0\33\0\246\0"...,
32) = 32
gettimeofday({1086893721, 440716}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2213U\0H\0\0\0\274\0\200\2\0\0\0\0\32\0\246\0"...,
32) = 32
gettimeofday({1086893721, 465795}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2413U\0H\0\0\0\274\0\200\2\0\0\0\0\32\0\245\0"...,
32) = 32
gettimeofday({1086893721, 478981}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2513U\0H\0\0\0\274\0\200\2\0\0\0\0\31\0\245\0"...,
32) = 32
gettimeofday({1086893721, 490505}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [64])                = 0
read(3, "\10\0F\20\2713U\0H\0\0\0\274\0\200\2\0\0\0\0\24\0\240\0"...,
64) = 64
gettimeofday({1086893721, 503214}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 514925}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [64])                = 0
read(3, "\10\2F\20Y4U\0H\0\0\0\271\0\200\2\0\0\0\0\16\0\246\0\16"...,
64) = 64
gettimeofday({1086893721, 527106}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
gettimeofday({1086893721, 538665}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
write(3,
";\3\5\0=\0\200\2\0\0\0\0\0\0\2\0\f\0\31\0008\0\4\0=\0\200"..., 100) = 100
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20i4U\0H\0\0\0\274\0\200\2\0\0\0\0\16\0\247\0\r\0"...,
32) = 32
gettimeofday({1086893721, 551267}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20q4U\0H\0\0\0\274\0\200\2\0\0\0\0\t\0\254\0\10\0"...,
32) = 32
gettimeofday({1086893721, 562928}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2114U\0H\0\0\0\274\0\200\2\0\0\0\0\t\0\255\0\10"...,
32) = 32
gettimeofday({1086893721, 588907}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\6\0F\20\2614U\0H\0\0\0\274\0\200\2\0\0\0\0\4\0\262\0\3"...,
32) = 32
gettimeofday({1086893721, 611088}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893721, 620888}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
write(3,
"5\30\4\0\224\1\200\2\274\0\200\2\23\1\242\0;\3\5\0d\0\200"..., 288) = 288
read(3, 0xfee530e0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\1Y\20\0\0\0\0H\0\0\0\0\0\0\0\4\0\262\0\3\0\20\0\20\0"...,
32) = 32
write(3,
";\3\5\0=\0\200\2\0\0\0\0\0\0\1\0\f\0\31\0008\0\5\0=\0\200"..., 372) = 372
read(3, 0xfee530e0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\1k\20\0\0\0\0H\0\0\0\0\0\0\0\4\0\262\0\3\0\20\0\20\0"...,
32) = 32
write(3, ";\3\5\0>\0\200\2\0\0\0\0\0\0\34\0\f\0\31\0008\0\4\0>\0"...,
3388) = 33 88
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893721, 683631}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
277503) = 1
ioctl(3, FIONREAD, [64])                = 0
read(3, "\4\1\25\21\3118U\0H\0\0\0\274\0\200\2\0\0\0\0\4\0\262\0"...,
64) = 64
gettimeofday({1086893722, 491111}, NULL) = 0
gettimeofday({1086893722, 501270}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
write(3, "\22\0\7\0\205\0\200\2\374\0\0\0\6\0\0\0 \0\31\0\1\0\0\0"...,
204) = 20 4
read(3, 0xfee535a0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\34\203\26\21\205\0\200\2\374\0\0\0\3468U\0\0\0\200\002"...,
32) = 32
read(3, "\1\1\36\21W\4\0\0\0\0\10\377\3\0\0\16\16\10\357\1\370\0"...,
32) = 32
read(3, "\0\0\0\0\0\0\0\0", 8)          = 8
read(3, "\0\0\0\0\1\0\0\0\1\1\0\0\2\1\0\377\1\1\1\1\0\0\0\0\3\3"...,
4436) = 443 6
write(3, "\226\21\3\0\1\0\200\2\0\20\0\0", 12) = 12
read(3, 0xfee535f0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\1\37\21\2\0\0\0\0\20\0\0\10\377\16\3\0\0\10\370\0\0"...,
32) = 32
read(3, "\241\0\0\0\242\0\0\0", 8)      = 8
write(3, "\226\4\2\0\0\1\200\2", 8)     = 8
read(3, 0xfee53620, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\1 \21\0\0\0\0\20\0\0\20\0\0\0\0\0\0\20\0\0\0\0\0\0\1"...,
32) = 32
write(3, "\21\4\2\0\241\0\0\0", 8)      = 8
read(3, 0xfee535b0, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\207!\21\3\0\0\0\t\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
32) = 32
readv(3, [{"fr-latin9", 9}, {"\0\10\377", 3}], 2) = 12
gettimeofday({1086893722, 562366}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
0) = 0
ioctl(3, FIONREAD, [0])                 = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1086893722, 567726}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, event s=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=1 4, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN |POLLPRI}, {fd=16,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=2 2,
events=POLLIN}, {fd=18, events=POLLIN}, {fd=20, events=POLLIN}], 13,
276619) = 1
ioctl(3, FIONREAD, [64])                = 0
read(3, "\5\1!\21I9U\0H\0\0\0\274\0\200\2\0\0\0\0\4\0\262\0\3\0"...,
64) = 64
gettimeofday({1086893722, 619949}, NULL) = 0
gettimeofday({1086893722, 624672}, NULL) = 0
futex(0x892f2f8, FUTEX_WAKE, 1)         = 1
gettimeofday({1086893722, 625055}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI }, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN |POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=17, events=POLLIN|POLLPRI}, {fd=1 6,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=22,
events=POLLIN }, {fd=18, events=POLLIN}, {fd=20, events=POLLIN,
revents=POLLIN}], 13, 0) = 1
write(3, "\226\4\2\0\0\1\0\0", 8)       = 8
read(3, 0xfee53620, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\1\"\21\0\0\0\0\20\0\0\20\0\0\0\0\0\0\20\0\0\0\0\0\0"...,
32) = 32
read(20, "\0", 1)                       = 1
read(20, "\0", 1)                       = 1
read(20, "\0", 1)                       = 1
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(3, "\33\4\2\0\0\0\0\0", 8)        = 8
write(3, " \4\2\0\0\0\0\0", 8)          = 8
write(3, "+\4\1\0", 4)                  = 4
read(3, 0xfee53314, 32)                 = -1 EAGAIN (Resource
temporarily unavai lable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\2%\21\0\0\0\0\206\0\200\2\0\0\0\0\0\0\0\0\34\0\0\0H"...,
32) = 32
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, chil
d_tidptr=0xf70012e8) = 3747
waitpid(3747, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 3747
--- SIGCHLD (Child exited) @ 0 (0) ---
sigreturn()                             = ? (mask now [SEGV])
exit_group(1)                           = ?
Comment 5 Dave Malcolm 2004-06-10 15:16:19 EDT
Thanks.  Can you also attach a gdb backtrace?
Comment 6 Nicolas Mailhot 2004-06-10 15:34:20 EDT
You'll have to remind me how then - I didn't touch gdb for years
Comment 7 Dave Malcolm 2004-06-10 17:29:34 EDT
Start Evolution inside gdb by typing "gdb evolution" at a shell
prompt, and type "run" when the (gdb) prompt appears.

When it crashes, type "thread apply all bt" at the (gdb) prompt (or
just "t a a bt" for short).  gdb will then output the backtrace of all
the threads in the program; you should be able to attach it here.

Having the debuginfo packages installed will make the output _much_
more meaningful, so please ensure "evolution-debuginfo" and
"evolution-data-server-debuginfo" are installed.
Comment 8 Nicolas Mailhot 2004-06-11 03:03:56 EDT
Config[nim@rousalka nim]$ evolution --force-shutdown
Fermeture de evolution-data-server-1.0 (Fichier et moteur webcal pour
le calendr ier d'Evolution / Fichier et moteur LDAP pour le carnet
d'adresses d'Evolution)
Fermeture de evolution-alarm-notify (Service de notification d'alarme
du calendr ier d'Evolution)
[nim@rousalka nim]$ gdb evolution
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db lib rary "/lib/tls/libthread_db.so.1".
 
(gdb) quit
[nim@rousalka nim]$ gdb /usr/bin/evolution
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db lib rary "/lib/tls/libthread_db.so.1".
 
(gdb) run
Starting program: /usr/bin/evolution
Error while mapping shared library sections:
: Succès.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
[Thread debugging using libthread_db enabled]
[New Thread -151014752 (LWP 7656)]
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Detaching after fork from child process 7662.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
asked to activate component_id
`OAFIID:GNOME_Evolution_Addressbook_Component:1.5 '
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
[New Thread 33205168 (LWP 7663)]
[New Thread 43695024 (LWP 7664)]
[New Thread 73210800 (LWP 7666)]
[New Thread 62720944 (LWP 7665)]
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
asked to activate component_id
`OAFIID:GNOME_Evolution_Addressbook_Component:1.5 '
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
[Thread 73210800 (LWP 7666) exited]
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
Error while reading shared library symbols:
: Aucun fichier ou répertoire de ce type.
asked to activate component_id
`OAFIID:GNOME_Evolution_Addressbook_Autocompletio n_ConfigControl:1.5'
asked to activate component_id
`OAFIID:GNOME_Evolution_SMime_CertificateManager_ ConfigControl:1.5'
 
(evolution:7656): Gtk-CRITICAL **: file gtktreesortable.c: line 137
(gtk_tree_so rtable_set_sort_column_id): assertion
`GTK_IS_TREE_SORTABLE (sortable)' failed
[New Thread 73210800 (LWP 7710)]
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151014752 (LWP 7656)]
0x00f4d207 in em_uri_from_camel (curi=0x9ec4570
"maildir:/home/nim/.maildir#")
    at em-utils.c:1558
1558                    path++;
(gdb) thread apply all bt
 
Thread 6 (Thread 73210800 (LWP 7710)):
#0  0x00347402 in ?? ()
#1  0x004f57ab in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x0071d6a5 in e_msgport_wait (mp=0x9ee98d0) at e-msgport.c:511
#3  0x0071de23 in thread_dispatch (din=0x9ee9878) at e-msgport.c:874
#4  0x004f297c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00cca5da in clone () from /lib/tls/libc.so.6
 
Thread 5 (Thread 62720944 (LWP 7665)):
#0  0x00347402 in ?? ()
#1  0x004f57ab in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x0071d6a5 in e_msgport_wait (mp=0x988cce0) at e-msgport.c:511
#3  0x0071de23 in thread_dispatch (din=0x988cc88) at e-msgport.c:874
#4  0x004f297c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00cca5da in clone () from /lib/tls/libc.so.6
 
Thread 3 (Thread 43695024 (LWP 7664)):
#0  0x00347402 in ?? ()
#1  0x004f57ab in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x0071d6a5 in e_msgport_wait (mp=0x988cd88) at e-msgport.c:511
#3  0x0071de23 in thread_dispatch (din=0x988cd30) at e-msgport.c:874
#4  0x004f297c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00cca5da in clone () from /lib/tls/libc.so.6
 
Thread 2 (Thread 33205168 (LWP 7663)):
#0  0x00347402 in ?? ()
#1  0x004f883b in __open_nocancel () from /lib/tls/libpthread.so.0
#2  0x0100da19 in block_file_use (bs=0xa084a88) at camel-block-file.c:284
#3  0x0100df58 in camel_block_file_get_block (bs=0xa084a88, id=0)
    at camel-block-file.c:554
#4  0x0100e243 in camel_block_file_new (
    path=0x32 <Address 0x32 out of bounds>, flags=50, version=0x0,
    block_size=1024) at camel-block-file.c:370
#5  0x01064bb6 in camel_text_index_new (
    path=0x32 <Address 0x32 out of bounds>, flags=66) at
camel-text-index.c:839
#6  0x01597b97 in camel_local_folder_construct (lf=0xa083c18,
    parent_store=0x9eca150, full_name=0x9c4bd78 "/.Trash", flags=50,
ex=0x0)
    at camel-local-folder.c:287
#7  0x015a2ade in camel_maildir_folder_new (parent_store=0x9eca150,
    full_name=0x9c4bd78 "/.Trash", flags=50, ex=0x32)
    at camel-maildir-folder.c:116
#8  0x015a34c4 in get_folder (store=0x9eca150,
---Type <return> to continue, or q <return> to quit---
    folder_name=0x9c4bd78 "/.Trash", flags=0, ex=0x0)
    at camel-maildir-store.c:140
#9  0x0105cd5d in camel_store_get_folder (store=0x9eca150,
    folder_name=0x9c4bd78 "/.Trash", flags=0, ex=0x0) at camel-store.c:257
#10 0x015a3ed8 in scan_dir (store=0x9eca150, visited=0x9f12380,
url=0xa074ef8,
    path=0x9883eb8 "/.Trash", flags=2, parent=0xa082138, fip=0xa082140,
    ex=0x9ce0f78) at camel-maildir-store.c:253
#11 0x015a4031 in scan_dir (store=0x9eca150, visited=0x9f12380,
url=0xa074ef8,
    path=0xa0437b0 "", flags=2, parent=0x0, fip=0x1faa9c8, ex=0x9ce0f78)
    at camel-maildir-store.c:367
#12 0x015a41b3 in get_folder_info (store=0x9eca150, top=0xa0437b0 "",
    flags=50, ex=0x32) at camel-maildir-store.c:423
#13 0x0105de41 in camel_store_get_folder_info (store=0x9eca150,
    top=0xa0437b0 "", flags=2, ex=0x32) at camel-store.c:773
#14 0x00f2951f in emft_get_folder_info__get (mm=0x9ce0f60)
    at em-folder-tree.c:1573
#15 0x00f6289e in mail_msg_received (e=0x988cd30, msg=0x9ce0f60, data=0x0)
    at mail-mt.c:502
#16 0x0071ddb8 in thread_dispatch (din=0x988cd30) at e-msgport.c:826
#17 0x004f297c in start_thread () from /lib/tls/libpthread.so.0
#18 0x00cca5da in clone () from /lib/tls/libc.so.6
 
Thread 1 (Thread -151014752 (LWP 7656)):
---Type <return> to continue, or q <return> to quit---
#0  0x00f4d207 in em_uri_from_camel (
    curi=0x9ec4570 "maildir:/home/nim/.maildir#") at em-utils.c:1558
#1  0x00f6e264 in mail_vfolder_add_uri (store=0x9eca150,
    curi=0x9ec4570 "maildir:/home/nim/.maildir#", remove=0)
    at mail-vfolder.c:416
#2  0x00f5fbaf in real_flush_updates (o=0x0, event_data=0x0, data=0x0)
    at mail-folder-cache.c:219
#3  0x00f6253c in do_async_event (mm=0x9ec30e8) at mail-mt.c:602
#4  0x00f62ef6 in mail_msgport_received (source=0x988d1e8, cond=G_IO_IN,
    d=0x988ca40) at mail-mt.c:420
#5  0x0064751f in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#6  0x00622052 in unblock_source () from /usr/lib/libglib-2.0.so.0
#7  0x00623148 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#8  0x00623480 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#9  0x00623ac3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#10 0x04a6f0a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#11 0x08065218 in main (argc=0, argv=0xfef0b5e4) at main.c:604
(gdb)

Comment 9 Nicolas Mailhot 2004-10-01 16:52:59 EDT
Seems to work again now

Note You need to log in before you can comment on or make changes to this bug.